name: Litmus Chaos Operator
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - litmus
    traits:
      meshmap:
        edges: []
        id: da139f6c-2244-48a9-a116-b54d68f2673e
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent",
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          definition:
            component:
              kind: NodeGroupInventoryWallet
              schema: '{}'
              version: core.meshery.io/v1alpha1
            description: ""
            displayName: NodeGroupInventoryWallet
            duplicates: 1
            format: JSON
            id: 2feda916-2084-4a19-ad31-e26b70b3b8ec
            metadata:
              capabilities: |-
                {
                  "designer": {
                    "pass-events-to": "parent",
                    "edit": {
                      "config": false,
                      "copy": false,
                      "delete": false,
                      "duplicate": false,
                      "reset-styles": false,
                      "resolve": false,
                      "lock": false,
                      "shape": {
                        "convert-shape": false
                      },
                      "style": false
                    },
                    "label": {
                      "edit": false,
                      "show": false,
                      "sync-with-config-property": "none"
                    }
                  }
                }
              defaultData: '{"label":""}'
              genealogy: parent
              hasInvalidSchema: true
              isAnnotation: true
              primaryColor: '#00B39F'
              secondaryColor: '#00D3A9'
              shape: round-rectangle
              shapePolygonPoints: ""
              status: enabled
              styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
              styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1}'
              subCategory: ""
              svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
              svgComplete: ""
              svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
            model:
              category:
                metadata: null
                name: Orchestration & Management
              components: null
              description: ""
              displayName: Meshery Core
              hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
              id: 3e2db384-d3af-5fac-8af2-684fc3c29446
              metadata:
                isAnnotation: false
                subCategory: App Definition and Development
                svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
                svgComplete: ""
                svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
              model:
                version: 0.7.1
              name: meshery-core
              registrant:
                hostname: artifacthub
              relationships: null
              schemaVersion: core.meshery.io/v1beta1
              status: enabled
              subCategory: App Definition and Development
              version: v1.0.0
            schemaVersion: core.meshery.io/v1beta1
            version: v1.0.0
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 63296b82-c8c6-49ba-8560-401288c4577e
        position:
          posX: 18
          posY: 36
        whiteboardData: {}
  litmus:
    name: litmus
    type: Deployment
    apiVersion: apps/v1
    namespace: litmus
    model: kubernetes
    labels:
      app.kubernetes.io/component: operator
      app.kubernetes.io/managed-by: kubectl
      app.kubernetes.io/name: litmus
      app.kubernetes.io/part-of: litmus
      app.kubernetes.io/version: ci
      name: litmus
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            name: chaos-operator
        template:
          metadata:
            labels:
              app.kubernetes.io/component: operator
              app.kubernetes.io/managed-by: kubectl
              app.kubernetes.io/name: litmus
              app.kubernetes.io/part-of: litmus
              app.kubernetes.io/version: ci
              name: chaos-operator
          spec:
            containers:
            - args:
              - -leader-elect=true
              command:
              - chaos-operator
              env:
              - name: CHAOS_RUNNER_IMAGE
                value: litmuschaos.docker.scarf.sh/litmuschaos/chaos-runner:ci
              - name: WATCH_NAMESPACE
                value: ""
              - name: POD_NAME
                value From:
                  field Ref:
                    field Path: metadata.name
              - name: POD_NAMESPACE
                value From:
                  field Ref:
                    field Path: metadata.namespace
              - name: OPERATOR_NAME
                value: chaos-operator
              image: litmuschaos/chaos-operator:ci
              image Pull Policy: IfNotPresent
              name: chaos-operator
            service Account Name: litmus
    traits:
      meshmap:
        edges: []
        id: 63296b82-c8c6-49ba-8560-401288c4577e
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 18
          posY: 36
        whiteboardData:
          style: {}
